#ifndef ZBAR_DLL_H_INCLUDED
#define ZBAR_DLL_H_INCLUDED


#include <dll_ifc.h>
#include <zbar_ifc.h>


class C_DllSystemAccess;
class C_MemoryAccessIfc;


class C_Dll_ZBar : public C_Dll
{
private:

	virtual char *Name();
	virtual t_version Version();

#define ZBAR_DLL_MAJOR 1

public:

	C_Dll_ZBar();
	virtual ~C_Dll_ZBar();
	
	virtual C_ZBarIfc* New_ZBar(void* handle, UInt32 picBufferSize);
	
	// Sets the system access object for OS access
	virtual bool SetSystemAccess(C_DllSystemAccess &SystemAccess);

	// Sets the memory access object for memory access
	virtual bool SetMemoryAccess(C_MemoryAccessIfc &MemoryAccess);
};



#endif // ZBAR_DLL_H_INCLUDED
