
#ifndef _ZBAR_ADAPTER_H_
#define _ZBAR_ADAPTER_H_

#include <vcsIntTypes.h>

class C_MemoryAccessIfc
{
public:
	virtual bool registerMemory(void *handle, UInt32 maxSize) = 0;
	virtual bool unregisterMemory(void *handle) = 0;

	virtual unsigned char* getMemory(UInt32 s) = 0;
	virtual void resetMemory() = 0;
};

extern void* _DREALLOC(void* _Memory, UInt32 NewSize);
extern void* _DMALLOC(UInt32 s);
extern void* _DCALLOC(UInt32 n, UInt32 s);
extern void _DFREE(void* ptr);

extern C_MemoryAccessIfc* g_ZBarMemory;

#endif

